zvault-diff(1) -- Display differences between two backup versions
=================================================================

## SYNOPSIS

`zvault diff [OPTIONS] <OLD> <NEW>`


## DESCRIPTION

This subcommand lists all differences between the two backups or a backup
subtrees `OLD` and `NEW`.

The backups or backup subtrees given by `OLD` and `NEW` must be in the format
`[repository]::backup_name[::subtree]` as described in _zvault(1)_.
If `repository` is omitted, the default repository location is used instead.

The differences will be reported in the format of added, modified, and deleted
files and directories. If some file or directory is present in `NEW` but not in
`OLD`, it will be reported as added (_add_) and if it is present in `OLD` but
not in `NEW`, it will be reported as deleted (_del_). If a file is present in
both versions but got modified between both versions it will be reported as
modified (_mod_).


## OPTIONS

* `-q`, `--quiet`:

  Print less information


* `-v`, `--verbose`:

  Print more information


* `-h`, `--help`:

  Prints help information


* `-V`, `--version`:     

  Prints version information


## COPYRIGHT

Copyright (C) 2017-2018  Dennis Schwerdel
This software is licensed under GPL-3 or newer (see LICENSE.md)
